package com.api.demo;

import com.alibaba.fastjson.JSON;
import com.api.demo.entity.common.ResultApiJson;
import com.api.demo.entity.pay.req.ApiPayBatchReqDTO;
import com.api.demo.entity.pay.req.ApiPayDetailReqDTO;
import com.api.demo.entity.pay.req.ApiPayQueryReqDTO;
import com.api.demo.entity.pay.res.ApiPayBatchResDTO;
import com.api.demo.util.RestTemplateUtil;
import com.api.demo.util.SignEncryUtil;

import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.client.RestTemplate;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.UUID;


public class RequestMd5Test {

    public static DateFormat DATE_FORMAT = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    final static String DOMAIN = "";
    final static String appKey = "iP0SmzaugCkijLgK52qjls8IiV387MQokHVuOi";
    final static String serct = "Lr4l9p8VAlBeMh6OsxZaPSiY3jw6nf8th92rBG";
    final static String merchantNo = "10000232425";
    final static String agreementId = "30000193";

    public static void main(String[] args) {
        //测试批量打款
        testBatchPay();
        //订单分页查询
       // testBatchQuery();
    }

    public static void testBatchPay(){
        System.out.println("测试批量打款");
        ApiPayBatchReqDTO apiPayBatchReq=new ApiPayBatchReqDTO();
        apiPayBatchReq.setBizOrderNo(UUID.randomUUID().toString());
        apiPayBatchReq.setTotalCount(1);
        apiPayBatchReq.setTotalAmount("1.00");
        apiPayBatchReq.setRemarks("测试第一笔");
        //apiPayBatchReq.setTaskNo("TK20221217001");
        apiPayBatchReq.setBankType(1);
        apiPayBatchReq.setPayMethod(1);
        List<ApiPayDetailReqDTO> detailReqDTOList=new ArrayList<>();
        for(int i=1;i<2;i++){
            ApiPayDetailReqDTO apiPayDetailReqDTO=new ApiPayDetailReqDTO();
            apiPayDetailReqDTO.setUserName("吴2阳"+i);
            apiPayDetailReqDTO.setAccountNo("6223425867660763"+i);
            apiPayDetailReqDTO.setIdCard("11142919660529"+(1810+i));
            apiPayDetailReqDTO.setPhone("1318871"+(1521+i));
            apiPayDetailReqDTO.setAmount("1.00");
            apiPayDetailReqDTO.setMerchantRemark("给他钱");
            apiPayDetailReqDTO.setDetailOrderNo("TS0000001"+i);
            apiPayDetailReqDTO.setPayAccountType(1);
            detailReqDTOList.add(apiPayDetailReqDTO);
        }
        apiPayBatchReq.setPayDetailList(detailReqDTOList);
        String sign = SignEncryUtil.encrySignPost(serct, apiPayBatchReq);
        String url=DOMAIN+"/merchant/exportApi/pay/payApi";
        RestTemplate restTemplate= RestTemplateUtil.restTemplate();
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON);
        headers.add("merchantNo",merchantNo);
        headers.add("agreementId",agreementId);
        headers.add("orderId", UUID.randomUUID().toString());
        headers.add("sign",sign);
        headers.add("appKey",appKey);
        headers.add("requireTime", DATE_FORMAT.format(new Date()));
        headers.add("signType","MD5");
        HttpEntity requestBody = new HttpEntity(apiPayBatchReq,headers);
        System.out.println(JSON.toJSON(requestBody));
       ResultApiJson<ApiPayBatchResDTO> resultApi=restTemplate.postForObject(url,requestBody,ResultApiJson.class);
       System.out.println("请求返回:"+JSON.toJSON(resultApi));
    }

    public static void testBatchQuery(){
        ApiPayQueryReqDTO reqDTO=new ApiPayQueryReqDTO();
        reqDTO.setBizOrderNo("444444444");
        reqDTO.setPlatformOrderNo("P05736790755141222410TS");
        reqDTO.setPageNum("1");
        reqDTO.setPageSize("10");

        String sign = SignEncryUtil.encrySignGet(serct, reqDTO);
        String url=DOMAIN+"/merchant/exportApi/pay/getOrderListApi";
        url+="?pageNum=1&pageSize=10&bizOrderNo=444444444&platformOrderNo=P05736790755141222410TS";
        RestTemplate restTemplate= RestTemplateUtil.restTemplate();
        HttpHeaders headers = new HttpHeaders();
        //headers.setContentType(MediaType.APPLICATION_JSON);
        headers.add("merchantNo",merchantNo);
        headers.add("agreementId",agreementId);
        headers.add("orderId", UUID.randomUUID().toString());
        headers.add("sign",sign);
        headers.add("appKey",appKey);
        headers.add("requireTime", DATE_FORMAT.format(new Date()));
        HttpEntity requestBody = new HttpEntity(headers);
       // ResultApiJson<ApiPayQueryResDTO> resultApi=restTemplate.getForObject(url,ResultApiJson.class,requestBody);
        ResponseEntity<ResultApiJson> result4 = restTemplate.exchange(url, HttpMethod.GET, requestBody, ResultApiJson.class);
        System.out.println("请求返回:"+JSON.toJSON(result4.getBody()));
    }
}
