package com.api.demo;

import com.alibaba.fastjson.JSON;
import com.api.demo.entity.common.ResultApiJson;
import com.api.demo.entity.pay.req.ApiPayBatchReqDTO;
import com.api.demo.entity.pay.res.ApiPayBatchResDTO;
import com.api.demo.entity.pay.req.ApiPayDetailReqDTO;
import com.api.demo.entity.pay.req.ApiPayQueryReqDTO;
import com.api.demo.util.rsa.SaasApiRsaUtil;

import org.springframework.http.HttpMethod;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

public class RequestRSATest {

    final static String DOMAIN = "http://xxxx";
    final static String appKey = "iP0SmzaugCkijLgK52qjls8IiV387MQokHVuOi";
    final static String serct = "Lr4l9p8VAlBeMh6OsxZaPSiY3jw6nf8th92rBG";
    final static String merchantNo = "10000232425";
    final static String agreementId = "30000193";


    public static void main(String[] args)  throws Exception {
        //测试批量打款
        for(int i=0;i<10;i++){
            testBatchPay();
        }
        //订单分页查询
        String platformOrderNo="P31324159274778624010TS";
        // testBatchQuery(platformOrderNo);
    }


    public static void testBatchPay() throws Exception {
        System.out.println("测试批量打款");
        ApiPayBatchReqDTO apiPayBatchReq=new ApiPayBatchReqDTO();
        apiPayBatchReq.setBizOrderNo(UUID.randomUUID().toString());
        apiPayBatchReq.setTotalCount(1);
        apiPayBatchReq.setTotalAmount("1");
        apiPayBatchReq.setRemarks("FAIL");
        //apiPayBatchReq.setTaskNo("TK3442732057");
        apiPayBatchReq.setBankType(1);
        apiPayBatchReq.setPayMethod(1);
        //apiPayBatchReq.setCallbackUrl("http://xxxx/merchant/testapi/testOrderSyncV2`");
        List<ApiPayDetailReqDTO> detailReqDTOList=new ArrayList<>();
        for(int i=1;i<=1;i++){
            ApiPayDetailReqDTO apiPayDetailReqDTO=new ApiPayDetailReqDTO();
            apiPayDetailReqDTO.setUserName("吴小"+i);
            apiPayDetailReqDTO.setAccountNo("222222222222"+i);
            apiPayDetailReqDTO.setIdCard("22142919660529"+(1810+i));
            apiPayDetailReqDTO.setIdCard("15042919590526481"+i);
            apiPayDetailReqDTO.setPhone("1318871"+(1521+i));
            apiPayDetailReqDTO.setAmount("1");
            apiPayDetailReqDTO.setMerchantRemark("给他钱-平安");
            apiPayDetailReqDTO.setDetailOrderNo("TS0000001"+i);
            apiPayDetailReqDTO.setPayAccountType(1);
            //apiPayDetailReqDTO.setWeixinAppId("333333");
            detailReqDTOList.add(apiPayDetailReqDTO);
        }

        apiPayBatchReq.setPayDetailList(detailReqDTOList);

        String url=DOMAIN+"/merchant/exportApi/pay/payApi";
        String reslut=SaasApiRsaUtil.requestHttp(url,HttpMethod.POST,JSON.toJSONString(apiPayBatchReq),merchantNo,agreementId,appKey,serct);

        ResultApiJson<ApiPayBatchResDTO> resultApiJson=JSON.parseObject(reslut,ResultApiJson.class);
        System.out.println("=====>"+(resultApiJson.getCode()==200));
        if (resultApiJson.getCode() == 200) {
          System.out.println("=====>" + JSON.toJSONString(resultApiJson));
        }
    }

    public static void testBatchQuery(String platformOrderNo) {
        ApiPayQueryReqDTO reqDTO=new ApiPayQueryReqDTO();
        reqDTO.setPlatformOrderNo(platformOrderNo);
        reqDTO.setPageNum(1);
        reqDTO.setPageSize(10);

        String url=DOMAIN+"/merchant/exportApi/pay/getOrderListApi";

        String reslut=SaasApiRsaUtil.requestHttp(url,HttpMethod.GET,JSON.toJSONString(reqDTO),merchantNo,agreementId,appKey,serct);
        ResultApiJson<ApiPayBatchResDTO> resultApiJson=JSON.parseObject(reslut,ResultApiJson.class);
        System.out.println("=====>"+(resultApiJson.getCode()==200));
    }

}
