package com.api.demo.controller;

import com.alibaba.fastjson.JSONObject;
import com.api.demo.util.rsa.SaasApiRsaUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.BufferedReader;
import java.io.IOException;
import java.util.Base64;
import java.util.Objects;
import java.util.TreeMap;

import javax.servlet.http.HttpServletRequest;


@RestController
@RequestMapping("callback")
public class CallbackTestRSAController {

    private static final Logger logger = LoggerFactory.getLogger(CallbackTestRSAController.class);

    @PostMapping(value = "/apiTestCallack")
    public String apiTestCallack(HttpServletRequest request) {
        //
        TreeMap treeMap =getReqData(request);
        String sign = request.getHeader("sign");
        String orderId = request.getHeader("orderId");
        String requireTime = request.getHeader("requireTime");
        //使用平台公钥验证签名
        String signContext=treeMap.get("data").toString()+orderId+requireTime+"商户SecretKey";

        if (!SaasApiRsaUtil.verify(signContext, SaasApiRsaUtil.PLATFORM_PUBILC_KEY,sign)) {
            return "error";
        }
        //直接将base64转字符即可
        SaasApiRsaUtil.decryptByPrivateKey(treeMap.get("data").toString(),"商户私钥");
        //业务处理
        return "success";
    }

    /**
     * 获取请求参数
     * */
    private TreeMap getReqData(HttpServletRequest request) {
        StringBuffer data = new StringBuffer();
        String line = null;
        BufferedReader reader = null;
        try {
            reader = request.getReader();
            while (null != (line = reader.readLine()))
                data.append(line);
        } catch (IOException e) {

        }
        TreeMap<String,Object> map = JSONObject.parseObject(data.toString(), TreeMap.class);
        map.values().removeIf(Objects::isNull);
        return map;
    }

}
