package com.api.demo.entity.invoice.res;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class InvoiceInfoRes {

    @ApiModelProperty("商户名称")
    private String merchantName;

    @ApiModelProperty("服务商名称")
    private String taxSourceName;

    @ApiModelProperty(value = "纳税人类型",required = true)
    private String taxpayerType;

    @ApiModelProperty(value = "纳税人识别号",required = true)
    private String businessLicenseNo;

    @ApiModelProperty("单位注册地址")
    private String registerAddress;

    @ApiModelProperty("单位电话")
    private String companyPhone;

    @ApiModelProperty("开户行")
    private String bankOfDeposit;

    @ApiModelProperty("银行账号")
    private String bankCardNo;

    @ApiModelProperty("发票类型 【1-增值税专用发票，2-增值税普通发票】")
    private String billType;

    @ApiModelProperty("开票类型 【1-纸质发票，2-电子发票】")
    private String invoiceType;

    @ApiModelProperty("金额")
    private String money;

    @ApiModelProperty("货物或应税劳务、服务名称ID")
    private String billingInformationIds;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("开票状态【1-待受理，2-已受理，3-已出票，4-开票失败，5-已驳回 】")
    private Integer status;

    @ApiModelProperty("开票联系人信息")
    private Contacts contacts;

    @ApiModelProperty("开票快递信息")
    private List<Express> expressList;



    @JsonIgnore
    private Long agreementId;

    @JsonIgnore
    private Long merchantId;

    @JsonIgnore
    private Long taxId;




}
