package com.api.demo.entity.pay.req;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *  回单查询
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class ApiOrderReceiptReq {

    @ApiModelProperty(name = "systemNo", value = "平台订单编号")
    private String systemNo;
    @ApiModelProperty(name = "merchantOrderNo", value = "商户打款编号")
    private String merchantOrderNo;
    @ApiModelProperty(name = "merchantOrderNos", value = "商户打款聚合编号")
    private String merchantOrderNos;
    @ApiModelProperty(name = "merchantRemark", value = "商户打款备注")
    private String merchantRemark;

    @ApiModelProperty(name = "merchantOrderNoList", value = "商户打款聚合编号")
    private List<String> merchantOrderNoList;

    @ApiModelProperty(name = "remark", value = "检索打款开始日期 yyyy-MM-dd")
    private String beginDate;
    @ApiModelProperty(name = "remark", value = "检索打款截止日期 yyyy-MM-dd")
    private String endDate;

    @ApiModelProperty(name = "pageNum", value = "第几页")
    private String pageNum;
    @ApiModelProperty(name = "pageSize", value = "每页大小，不传的情况下默认100条，超过100条默认按100条查询；不足100条则按实际记录数返回")
    private String pageSize;



    @ApiModelProperty(value = "商户端批次号")
    private String bizOrderNo;

    @ApiModelProperty(value = "平台端批次号")
    private String platformOrderNo;

    @ApiModelProperty(value = "商户批次打款备注 merchantRemark")
    private String remark;
    @ApiModelProperty(name = "recordDate", value = "检索日期 yyyy-MM-dd")
    private String recordDate;
}
