package com.api.demo.entity.pay.req;


import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "API批次打款")
@Data
public class ApiPayBatchReqDTO implements Serializable {
  @ApiModelProperty(value = "商户端业务批次号(32位，对接端唯一)")
  private String bizOrderNo;
  @ApiModelProperty(value = "总笔数")
  private Integer totalCount;
  @ApiModelProperty(value = "总金额")
  private String totalAmount;
  @ApiModelProperty(value = "备注")
  private String remarks;
  @ApiModelProperty(value = "业务任务号(预留)")
  private String taskNo;
  @ApiModelProperty(value = "打款通道 1银行卡 2支付宝 3安全发 6微信")
  private Integer bankType;
  @ApiModelProperty(value = "收款方式 1银行卡 2支付宝 4银行卡/支付宝 6微信")
  private Integer payMethod;
  @ApiModelProperty(value = "自定义通知回调url")
  private String callbackUrl;
  @ApiModelProperty(value = "打款明细中的订单号只全系统支付唯一")
  private Integer onlyPayFlag;
  @ApiModelProperty(value = "打款明细")
  private List<ApiPayDetailReqDTO> payDetailList;
}
