package com.api.demo.entity.pay.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 回单返回
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class ApiOrderReceiptRes {

    @ApiModelProperty(value = "收款账户户名")
    private String payeeBankAccountName;

    /**
     * 收款账户户号
     */
    @ApiModelProperty(value = "收款账号")
    private String payeeBankAccountNo;

    /**
     * 收款身份证号
     */
    @ApiModelProperty(value = "收款身份证号")
    private String payeeIdCard;

    /**
     * 订单金额
     */
    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderAmount;

    /**
     * 服务费
     */
    @ApiModelProperty(value = "服务费")
    private BigDecimal serviceAmount;

    @ApiModelProperty(value = "状态 10:处理中，20:支付中，30:已到账 40:校验失败 50:打款失败 60:已取消")
    private Integer status;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "")
    private Date createTime;
    /**
     * 银行回单
     */
    @ApiModelProperty(value = "银行回单")
    private String resPath;
    @ApiModelProperty(value = "商户端订单明细号（有则返回）")
    private String detailOrderNo;

    @ApiModelProperty(value = "协议ID")
    private Long agreementId;

    @ApiModelProperty(value = "商户ID")
    private Long merchantId;
    @ApiModelProperty(value = "平台结算单号")
    private String settlementOrderNo;
}
