package com.api.demo.entity.pay.res;


import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "API批次打款查询结果")
@Data
public class ApiPayQueryResDTO implements Serializable {
  @ApiModelProperty(value = "收款姓名")
  private String userName;
  @ApiModelProperty(value = "收款账户")
  private String accountNo;
  @ApiModelProperty(value = "收款身份证")
  private String idCard;
  @ApiModelProperty(value = "手机号")
  private String phone;
  @ApiModelProperty(value = "订单金额")
  private String amount;
  @ApiModelProperty(value = "服务费金额")
  private String serviceAmount;
  @ApiModelProperty(value = "状态 10:处理中，20:支付中，30:已到账 40:校验失败 50:打款失败 60:已取消")
  private Integer status;
  @ApiModelProperty(value = "备注 如校验失败原因，打款失败原因")
  private String desc;
  @ApiModelProperty(value = "打款结束时间")
  private Date payEndTime;
  @ApiModelProperty(value = "商户端订单明细号（有则返回）")
  private String detailOrderNo;

  @ApiModelProperty(value = "协议ID")
  private Long agreementId;

  @ApiModelProperty(value = "商户ID")
  private Long merchantId;
  @ApiModelProperty(value = "平台结算单号")
  private String settlementOrderNo;
}
