package com.api.demo.entity.sign.req;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 签约API请求参数
 * */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class SignApiExportReq {

    private String name;

    //证件类型 1身份证 2护照 3香港通 4澳门通 5台湾通
    private Integer cardType;

    private String idCard;

    private String mobile;

    private String signPost;

    private String skipUser;

    /**
     * 签约模式 null默认，端签约模式 1小程序 2 免签 3短信签约 4静默签 5H5签约
     */
    private Integer useSign;

    /**
     * 不发生短信 0否 1是
     */
    private Integer notSendSms;

    /**
     * 身份证正面照片
     */
    private String idCardFront;
    /**
     * 身份证反面照片
     */
    private String idCardBack;


    //自定义跳转链接
    private String callbackUrl;

    //1H5 2小程序 ，3-api回调（自定义回调需要传3）
    private Integer callbackUrlType;

    private String bankCardNo;

    private String remark;
}
