package com.api.demo.entity.sign.res;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SignStaffRes implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "姓名")
    private String userName;
    @ApiModelProperty(value = "身份证号")
    private String idCard;
    @ApiModelProperty(value = "联系手机号")
    private String contactPhone;
    @ApiModelProperty(value = "协议状态", example = "0 未签 1 已签 2解约")
    private Integer agreementStatus;

    @ApiModelProperty(value = "合同ID")
    @JsonIgnore
    private Long contractId;

    @ApiModelProperty(value = "人员导入时间")
    private Date importTime;

    @ApiModelProperty(value = "签约完成时间")
    private Date auditTime;

    @ApiModelProperty(value = "免签状态 0非免签 1免签  2短信签约")
    private Integer noSign;
    @ApiModelProperty(value = "签约备注")
    private String remark;
    @ApiModelProperty(value = "签约区域")
    private String signArea;
    @ApiModelProperty(value = "身份证正面")
    private String idCardFrontUrl;
    @ApiModelProperty(value = "身份证背面")
    private String idCardBackUrl;
    @ApiModelProperty(value = "合同地址")
    private String contractPath;
}
