package com.api.demo.entity.task.req;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 任务单派发信息
 */
@ApiModel(value = "API任务单派发信息")
@Data
public class ApiMerchantTaskReq implements Serializable {

    @ApiModelProperty(value = "任务单名称")
    private String taskName;

    @ApiModelProperty(value = "任务描述")
    private String taskDesc;

    @ApiModelProperty(value = "任务单开始时间")
    private String beginTime;

    @ApiModelProperty(value = "任务单截止时间")
    private String endTime;

    @ApiModelProperty(value = "图片")
    private String photo;

    @ApiModelProperty(value = "备注信息")
    private String remarks;


    @ApiModelProperty(value = "收款渠道【0-银行卡，1-支付宝，2-微信；默认-0】")
    private Integer paymentChannels;


    @ApiModelProperty(value = "结算方式【0-月结，1-周结，2-日结；默认-0】")
    private Integer settlementMethod;


    @ApiModelProperty(value = "计费范围，最小金额，单位元")
    private BigDecimal scaleRangeMin;


    @ApiModelProperty(value = "计费范围，最大金额，单位元")
    private BigDecimal scaleRangeMax;


    @ApiModelProperty(value = "人数范围【0-无限制，1-50以下，2-51~100，3-101~200，4-201~500，5-500以上】")
    private Integer personNumRange;


    @ApiModelProperty(value = "性别要求【0-无限制，1-男，2-女；默认-0】")
    private Integer needGender;


    @ApiModelProperty(value = "年龄要求，最小年龄")
    private Integer needAgeMin;


    @ApiModelProperty(value = "年龄要求，最大年龄")
    private Integer needAgeMax;


    @ApiModelProperty(value = "学历需求【0-无限制，1-初中及以上，2-高中及以上，3-本科及以上，4-硕士及以上；默认-0】")
    private Integer needQualification;


    @ApiModelProperty(value = "开票类目编号")
    private String billClassNo;


    @ApiModelProperty(value = "开票类目名称")
    private String billClassName;

    @ApiModelProperty(value = "服务地点")
    private String serviceLocation;

    @ApiModelProperty(value = "任务附件")
    private String annex;

    @ApiModelProperty(value = "结算附件")
    private String settlementAnnex;

}