package com.api.demo.util;

import org.springframework.http.client.SimpleClientHttpRequestFactory;
import org.springframework.http.converter.HttpMessageConverter;
import org.springframework.http.converter.StringHttpMessageConverter;
import org.springframework.web.client.RestTemplate;

import java.nio.charset.Charset;
import java.util.List;

public class RestTemplateUtil {

    static RestTemplate restTemplate =null;

    public static RestTemplate restTemplate() {
        if(restTemplate==null){
            restTemplate = new RestTemplate(getClientHttpRequestFactory());
            List<HttpMessageConverter<?>> list = restTemplate.getMessageConverters();
            for (HttpMessageConverter<?> httpMessageConverter : list) {
                if (httpMessageConverter instanceof StringHttpMessageConverter) {
                    ((StringHttpMessageConverter) httpMessageConverter).setDefaultCharset(Charset.forName("UTF-8"));
                    break;
                }
            }
            restTemplate.getMessageConverters().add(new DemoMappingJackson2HttpMessageConverter());
            restTemplate.setRequestFactory(new HttpComponentsClientRestfulHttpRequestFactory());

            RestTemplate restTemplate = new RestTemplate();
            restTemplate.setRequestFactory(new HttpComponentsClientRestfulHttpRequestFactory());
        }
        return restTemplate;
    }

    // 设置超时时间
    public static SimpleClientHttpRequestFactory getClientHttpRequestFactory() {
        SimpleClientHttpRequestFactory clientHttpRequestFactory = new SimpleClientHttpRequestFactory();
        // Connect timeout 3s
        clientHttpRequestFactory.setConnectTimeout(60000);
        // Read timeout 3s
        clientHttpRequestFactory.setReadTimeout(60000);
        return clientHttpRequestFactory;
    }
}
