package com.api.demo.util;

import com.alibaba.fastjson.JSONObject;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.client.RestTemplate;

import java.security.MessageDigest;
import java.util.Map;
import java.util.TreeMap;


public class SignEncryUtil {

    private static Logger logger = LoggerFactory.getLogger(SignEncryUtil.class);

    private static String[] hexDigits = {"0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f"};

    public static String encrySignGet(String secretKey, Object object) {
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(secretKey);
        stringBuilder.append(JSONObject.toJSONString(object));
        String md5Value = md5(stringBuilder.toString());
        logger.info("===========encrySign:{}============",md5Value);
        return md5Value;
    }

    public static String encrySignPost(String secretKey, Object object) {
        TreeMap<String, String> treeMap = JSONObject.parseObject(JSONObject.toJSONString(object), TreeMap.class);
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(secretKey);
        for (Map.Entry entry : treeMap.entrySet()) {
            stringBuilder.append(entry.getValue());
        }

        //logger.info("===========待签名:{}============",stringBuilder.toString());
        String md5Value = md5(stringBuilder.toString());
        //logger.info("===========encrySign:{}============",md5Value);
        return md5Value;
    }

    public static String md5(String data)  {
        if(StringUtils.isBlank(data)){
            return "";
        }
        try {
            MessageDigest md5 = MessageDigest.getInstance("MD5");
            byte[] b = data.getBytes("UTF8");
            md5.update(b, 0, b.length);
            return byteArrayToHexString(md5.digest());
        } catch (Exception e) {
            logger.error("md5 error", e);
        }
        return "";
    }


    private static String byteArrayToHexString(byte[] b) {
        StringBuilder sb = new StringBuilder();
        for (byte bt : b) sb.append(byteToHexString(bt));
        return sb.toString();
    }


    private static String byteToHexString(byte b) {
        int n = b;
        if (n < 0) {
            n = 256 + n;
        }
        int d1 = n / 16;
        int d2 = n % 16;
        return hexDigits[d1] + hexDigits[d2];
    }
}
